
ThreatFactor NSIA - Bug #51

NSIA GUI Renders Poorly in GTK

04/08/2010 11:08 PM - Luke Murphey

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Console Application Estimated time: 0.00 hour

Target version:    

Description

The GUI for NSIA renders with some issues on Linux:

The "Shutdown NSIA" and "Hide" buttons are truncated; the only the top 3/4th of the text is shown.

The tray icon has a gray border around it

The message text is truncated if the message is long because it does not word wrap

The application crashes sometimes when the hide button is pressed with the following error:

The program 'SWT' received an X Window System error. This probably reflects a bug in the program. The error was 'BadMatch

(invalid parameter attributes)'. (Details: serial 1266 error_code 8 request_code 73 minor_code 0) (Note to programmers:

normally, X errors are reported asynchronously; that is, you will receive the error a while after causing it. To debug your

program, run it with the --sync command line option to change this behavior. You can then get a meaningful backtrace from your

debugger if you break on the gdk_x_error() function.)

History

#1 - 11/02/2010 01:17 PM - Luke Murphey

- Category set to Console Application

#2 - 08/23/2011 06:47 AM - Luke Murphey

- Status changed from New to Closed

- Start date deleted (04/08/2010)
